#ifndef CLI_H
#define CLI_H

/* $Id: cli.h,v 1.7 2012/04/09 02:03:37 protius Exp $
**
** Tommy's Qswitch Trigger, to observe the pump light of a pulsed laser,
** and trigger an active qswitch.
** Copyright (C) 2010 Tommy Johnson
** 
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or (at
** your option) any later version.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
*/


#ifdef DEFINE
#define extern 
#else
#define extern extern
#endif

/* If this is non-zero, and equals slowclock (which is incremented evert
** time timerB overflows in lamp.c) then cli_event() will be called.
*/
extern unsigned int eventclock;
extern char msgbuff[64];

#undef extern

void cli_init(void);
void cli_nextchar(unsigned int ch);

void cli_dumphex(int i);

void writeStrLong(const char *str);

void cli_event(void);

#endif
