#ifndef PSMONITOR_H
#define PSMONITOR_H

/* $Id: psmonitor.h,v 1.7 2020/11/11 19:44:15 protius Exp $
**
** Tommy's Qswitch Trigger, to observe the pump light of a pulsed laser,
** and trigger an active qswitch.
** Copyright (C) 2010 Tommy Johnson
** 
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or (at
** your option) any later version.
**
** This program is distributed in the hope that it will be useful, but
** WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
*/



#ifdef DEFINE
#define extern 
#else
#define extern extern
#endif

#undef extern

/* call on startup, for hardware init 
*/
void psmonitor_init(void);

void psmonitor_show(void);

int psmonitor_voltage_set(int v);    /* in volts  */
int psmonitor_current_set(int i);    /* in microamps  */

void psmonitor_enable(void);
void psmonitor_disable(void);

void psmonitor_ACOn(void);
void psmonitor_ACOff(void);
int psmonitor_AC(void);

#endif
